oracle.jdbc.dcn

## Enum DatabaseChangeEvent.AdditionalEventType

- java.lang.Object
- - java.lang.Enum<DatabaseChangeEvent.AdditionalEventType>
  - - oracle.jdbc.dcn.DatabaseChangeEvent.AdditionalEventType

All Implemented Interfaces:
  Serializable, Comparable<DatabaseChangeEvent.AdditionalEventType>

Enclosing class:
  DatabaseChangeEvent

    public static enum DatabaseChangeEvent.AdditionalEventType
    extends Enum<DatabaseChangeEvent.AdditionalEventType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GROUPING` Addtional event type: grouping.
`NONE` Addtional event type: no further information about the change notification.
`TIMEOUT` Addtional event type: timeout.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()` Implementation detail (for internal use only).
`static DatabaseChangeEvent.AdditionalEventType` `getEventType(int code)` Implementation detail (for internal use only).
`static DatabaseChangeEvent.AdditionalEventType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DatabaseChangeEvent.AdditionalEventType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final DatabaseChangeEvent.AdditionalEventType NONE

Addtional event type: no further information about the change notification.

#### TIMEOUT

    public static final DatabaseChangeEvent.AdditionalEventType TIMEOUT

Addtional event type: timeout.

#### GROUPING

    public static final DatabaseChangeEvent.AdditionalEventType GROUPING

Addtional event type: grouping.

### Method Detail

#### values

    public static DatabaseChangeEvent.AdditionalEventType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DatabaseChangeEvent.AdditionalEventType c : DatabaseChangeEvent.AdditionalEventType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DatabaseChangeEvent.AdditionalEventType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public final int getCode()

Implementation detail (for internal use only).

#### getEventType

    public static final DatabaseChangeEvent.AdditionalEventType getEventType(int code)

Implementation detail (for internal use only).

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.